<ion-header>
  <ion-toolbar>
    <ion-buttons slot="end">
      <ion-button color="danger" (click)="cancel()">Cancel</ion-button>
    </ion-buttons>
    <ion-title>Register New User</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="forms-section">
    <ion-col size="12">
      <ion-list lines="none">
        <form>
          <ion-item class="ion-padding-start ion-padding-end" lines="none">
            <ion-label position="fixed">Email</ion-label>
            <ion-input type="text" #email required></ion-input>
          </ion-item>
          <ion-item class="ion-padding-start ion-padding-end" lines="none">
            <ion-label position="fixed">Password</ion-label>
            <ion-input type="password" #password required></ion-input>
          </ion-item>
          <ion-row>
            <ion-col size="12" class="ion-margin-top ion-padding">
              <ion-button type="submit" (click)="signUp(email, password)" expand="block">Register</ion-button>
            </ion-col>
          </ion-row>
        </form>
      </ion-list>
    </ion-col>
  </ion-row>
</ion-content>